APT-CONFIG(8)

NAME
apt-config - Programma om de configuratie van APT op te vragen

SAMENVATTING

apt-config [--empty] [--format '%f "%v";%n'] [-o=configuratietekenreeks] [-c=configuratiebestand] {shell | dump | {-v | --version} | {-h | --help}}

OMSCHRIJVING

apt-config is een intern programma dat door verschillende onderdelen van de APT-suite gebruikt wordt om op een consistente wijze configuratiemogelijkheden te bieden. Het maakt gebruik van het hoofdconfiguratiebestand /etc/apt/apt.conf op een manier die scripts toelaat om er handig gebruik van te maken.

Tenzij de optie -h, of --help opgegeven werd, moet een van de onderstaande commando's gebruikt worden.

shell
    Men gebruikt shell om in een shell-script configuratie-informatie op te vragen. Argumenten worden in paren opgegeven. Het eerste argument is een shell-variabele en het tweede de configuratiewaarde waarnaar gezocht moet worden. De uitvoer bestaat uit een lijst shell-opdrachten waarin elke gevonden waarde aan een variabele toegekend wordt. In een shell-script moet het als volgt gebruikt worden:

        OPTS="-f"
        RES=`apt-config shell OPTS MyApp::options`
        eval $RES
    Dit zal aan de shell-omgevingsvariabele $OPTS de waarde toekennen van MyApp::options met een standaard van -f.

    Achter het configuratie-item mag een /[fdbi] staan. f levert een bestandsnaam op, d een map, b geeft de terugkeerwaarde true of false en i geeft een geheel getal als terugkeerwaarde. Elke terugkeerwaarde wordt intern genormaliseerd en gecontroleerd.

dump
    Enkel de inhoud van de configuratieruimte weergeven.

OPTIES

Alle commandoregelopties kunnen via het configuratiebestand ingesteld worden. de omschrijving geeft de in te stellen configuratieoptie op. Bij booleaanse opties kunt u instellingen uit het configuratiebestand overschrijven door iets te gebruiken als -f-, --no-f, -f=no en meerdere andere variaties.

--empty
    Opties met een lege waarde opnemen. Dit is de standaard. Gebruik dus --no-empty om ze uit de uitvoer te verwijderen.

--format '%f "%v";%n'
    Definieert de uitvoer van elke configuratie-optie. %t wordt vervangen door zijn eigen naam, %f door zijn volledige hiërarchische naam en %v door zijn waarde. Gebruik hoofdletters, en als in de waarde speciale tekens voorkomen, worden ze gecodeerd om er voor te zorgen dat die waarde bijvoorbeeld veilig gebruikt kan worden in een tekenreeks binnen aanhalingstekens zoals bepaald door RFC822. Voorts zal %n vervangen worden door een nieuwe regel en %N door een TAB. Om een % weer te geven gebruikt men %%.

-h, --help
    Een korte samenvatting van het gebruik weergeven.

-v, --version
    Het versienummer van het programma weergeven.

-c, --config-file
    Configuratiebestand; Een te gebruiken configuratiebestand opgeven. Het programma zal het standaard configuratiebestand inlezen en nadien dit configuratiebestand. Als configuratie-instellingen opgegeven moeten worden vooraleer de standaard configuratiebestanden verwerkt worden, geef dan een bestand op met de omgevingsvariabele APT_CONFIG. Raadpleeg apt.conf(5) voor informatie over de syntaxis.

-o, --option
    Een configuratieoptie instellen; Dit stelt een willekeurige configuratieoptie in. De syntaxis is -o Foo::Bar=bar. -o en --option kunnen meermaals gebruikt worden om verschillende opties in te stellen.

ZIE OOK

apt.conf(5)

DIAGNOSTIEK

apt-config geeft de terugkeerwaarde nul bij een normaal verlopen operatie, het decimaal getal 100 in geval van een fout.

BUGS

APT bugpagina[1]. Indien u een bug in APT wilt rapporteren, raadpleeg dan /usr/share/doc/debian/bug-reporting.txt of het reportbug(1) commando.

VERTALING

De Nederlandse vertaling werd in 2015 gemaakt door Frans Spiesschaert <Frans.Spiesschaert@yucom.be>, in samenwerking met het Debian Dutch l10n Team <debian-l10n-dutch@lists.debian.org>.

Merk op dat de vertaling van dit document nog onvertaalde delen kan bevatten. Dit is intentioneel om te vermijden dat inhoud verloren zou gaan door een vertaling die achterop loopt op het origineel.

AUTEURS

Jason Gunthorpe

APT-team

OPMERKINGEN

1.  APT bugpagina
    http://bugs.debian.org/src:apt